Archived

This topic is now archived and is closed to further replies.

Guest rafvr

Why is SP2 asking for an English version??

Recommended Posts

I have just re-installed FSX into a new hard drive followed by SP1 but when I tried to install SP2 I got an error message saying itneeded an "English Version" of FSX. This hasn`t happened before and I would be grateful for any advice to correct this faultMany thanksGeorge

Share this post


Link to post
Share on other sites
Help AVSIM continue to serve you!
Please donate today!